/****************************************************************************
**
** Copyright (C) 1991-2008 Heinz van Saanen
**
** This file is part of the the function viewer Zhu3D.
**
** This file may be used under the terms of the GNU General Public
** License version 2 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef _TIMERS_H_
#define _TIMERS_H_

#include <QTime>


// Hardware independent timer
class zhuTimer {

public:
	zhuTimer() { t.start(); };
	~zhuTimer() {};

	void start() { t.start(); }
	float stop() { return t.restart()/1000.0f; }

private:
	QTime t;
};


// _TIMERS_H_
#endif
